Skip to main content
GET
Get artist details

Query Parameters

uri
string
required

The URI of the artist to retrieve details from

Response

Success

id
string

The unique identifier of the artist.

uri
string | null

The URI of the artist.

name
string

The name of the artist.

picture
string | null

The picture of the artist.

sha256
string

The SHA256 hash of the artist.

playCount
integer

The number of times the artist has been played.

Required range: x >= 0
uniqueListeners
integer

The number of unique listeners who have played the artist.

Required range: x >= 0
tags
string[]
createdAt
string
updatedAt
string
biography
string | null
born
string<date-time> | null
bornIn
string | null
died
string<date-time> | null
genres
string[] | null
xataVersion
integer | null